
Ruby - Bug #4709

Revise documentation for Singleton

05/16/2011 05:10 PM - phiggins (Pete Higgins)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

ruby -v: ruby 1.9.3dev (2011-05-16 trunk 31588)

[x86_64-linux]

Backport:  

Description

Singleton seemed to be light on documentation, and it included some non-working example code that seemed to function as

documentation and tests. In addition, a few classes and methods in the example code were picked up by Rdoc.

The first patch:

Removes the example code.

Revises the documentation.

The second patch:

Adds some basic tests for Singleton.

Associated revisions

Revision f4c41cf2 - 05/17/2011 06:03 PM - drbrain (Eric Hodel)

lib/singleton.rb:  Improve documentation.  Patch by Pete Higgins.

[Ruby 1.9 - Bug #4709]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31613 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/17/2011 04:31 AM - drbrain (Eric Hodel)

Can you split the tests change into a separate issue?

#2 - 05/17/2011 07:51 AM - phiggins (Pete Higgins)

I moved the tests into their own issue: http://redmine.ruby-lang.org/issues/4715

#3 - 05/18/2011 03:03 AM - drbrain (Eric Hodel)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r31613.

Pete, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/singleton.rb:  Improve documentation.  Patch by Pete Higgins.

[Ruby 1.9 - Bug #4709]

Files

singleton_docs.diff 9.97 KB 05/16/2011 phiggins (Pete Higgins)

singleton_tests.diff 2.39 KB 05/16/2011 phiggins (Pete Higgins)
